import { $post, $postParam } from "@/plugins/axios";

// 课程
export const commonCourseQuery = ({
  paperArchivesId = "",
  semesterId = ""
}) => {
  return $postParam("/api/admin/common/course/query", {
    paperArchivesId,
    semesterId
  });
};
// 教学班
export const commonTeachClazzQuery = ({
  paperArchivesId = "",
  courseName = ""
}) => {
  return $postParam("/api/admin/common/teach_clazz/query", {
    paperArchivesId,
    courseName
  });
};
// 档案
export const commonArchivesQuery = data => {
  return $postParam("/api/admin/common/archives/query", data);
};

// scan
export const uploadFormalImage = (datas, config = {}) => {
  return $post(`/api/admin/client/picture/upload`, datas, {
    ...config,
    slientRequest: true
  });
};

export const bingScanUser = ({ paperScanTaskId, userId }) => {
  return $postParam(`/api/admin/client/bind/user`, { paperScanTaskId, userId });
};
export const taskListPage = datas => {
  return $postParam(`/api/admin/client/task/page`, datas);
};
